#!/usr/bin/env -S python3 -B
#
#    valid-calls.py
#
#    Call validator using simple patterns.
#
#    Copyright (C) 2024 by Matt Roberts.
#    License: GNU GPL3 (www.gnu.org)
#
#

import callsigns


#
#  entry point - unit tests
#
if __name__ == '__main__':
	import sys

	try:
		while True:
			l = sys.stdin.readline()
			if not l:
				sys.exit(0)
			l = l.strip()
			if not l:
				continue

			if callsigns.iscall(l):
				sys.stdout.write(l)
				sys.stdout.write('\n')
	except KeyboardInterrupt as ex:
		sys.exit(1)

# EOF
